
.task-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 6pt auto;
    max-width: 450px;
}

.task-list>a {
    text-decoration: none;
}

.task-item {
    width: 100pt;
    height: 100pt;
    background-color: #16a085;
    margin: 6pt;
    transform: scale(1);
    overflow: hidden;
}

.task-item:hover {
    transform: scale(1.1);
}

.task-item-text {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    font-size: 13pt;
    color: white;
    z-index: 3;
}

.task-item-between {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 2;
    width: 100%;
    height: 100%;
}

.task-item-bg {
    position: relative;
    top: 50%;
    transform: translateY(-50%) scale(1.3);
    z-index: 1;
    -webkit-filter: blur(0.5px);
    -moz-filter: blur(0.5px);
    -o-filter: blur(0.5px);
    -ms-filter: blur(0.5px);
    filter: blur(0.5px);
}

.task-item:hover>.task-item-bg {
    -webkit-filter: blur(0.25px);
    -moz-filter: blur(0.25px);
    -o-filter: blur(0.25px);
    -ms-filter: blur(0.25px);
    filter: blur(0.25px);
}


@media only screen and (max-width: 460px) {
    .task-list {
        max-width: 300px;
    }
    .task-item {
        width: 128px;
        height: 128px;
    }
    .task-item-text {
        font-size: 18px;
    }
}


@media only screen and (min-width: 660px) {
    .task-list {
        margin: 10pt auto;
        max-width: 660px;
    }
    .task-item {
        width: 150pt;
        height: 150pt;
    }
    .task-item-text {
        font-size: 18pt;
    }
}

@media only screen and (min-width: 836px) {
    .task-list {
        max-width: 800px;
    }
    .task-item {
        width: 180pt;
        height: 180pt;
        margin: 10pt;
    }
    .task-item-text {
        font-size: 22pt;
    }
}
